
package de.ivu.elect.business.ergebnis.boundary;

import org.apache.deltaspike.core.api.scope.ConversationGroup;
import org.apache.deltaspike.core.api.scope.GroupedConversationScoped;

import de.ivu.elect.business.ergebnis.entity.Ergebnis;
import de.ivu.elect.business.ergebnis.entity.ErgebnisLogEintragArt;

@GroupedConversationScoped
@ConversationGroup(AbstractErgebnisLogEintragSearchParameters.class)
public class ErgebnisLogEintragSearchParameters extends AbstractErgebnisLogEintragSearchParameters {

  private static final long serialVersionUID = 1L;

  private Ergebnis ergebnis;

  private ErgebnisLogEintragArt ergebnisLogEintragArt;

  public ErgebnisLogEintragSearchParameters() {
    super();
  }

  public Ergebnis getErgebnis() {
    return ergebnis;
  }

  public void setErgebnis(Ergebnis ergebnis) {
    this.ergebnis = ergebnis;
  }

  public ErgebnisLogEintragArt getErgebnisLogEintragArt() {
    return ergebnisLogEintragArt;
  }

  public void setErgebnisLogEintragArt(ErgebnisLogEintragArt ergebnisLogEintragArt) {
    this.ergebnisLogEintragArt = ergebnisLogEintragArt;
  }
}
